ESO Safe Troubleshooter
===================

From v1.3.1 ESO Safe now includes a troubleshooting-mode. To start troubleshoot mode simply run ESOSafe.exe with the "-troubleshoot" command line switch:

    C:\> ESOSafe.exe -troubleshoot

Troubleshooting mode dumps as much data as possible to assist you troubleshooting potential problems. Some key values and their explanations will follow:


User settings:
-----------------
    AutoBackupOnStartup:                    True
    DumpTransactionsToFile:                 False
    EventThrottleTime:                      30
    InstallPath:                            E:\Spel\Elder Scrolls Online
    NumBackupFiles:                         4
    TraderEnabled:                          True
    TraderUserName:                         w33zl

Primarely you need to make sure InstallPath is correct. Then NumBackupFiles and EventThrottleTime must be greater than zero.


General game client settings:
------------------------------------
    IsReady:                                True
    ESO Path from Registry:                 E:\Spel\Elder Scrolls Online
    Current configured ESO Path:            E:\Spel\Elder Scrolls Online
    Number of loaded clients:               3

Here you will find both your actual configured value ('Current configured ESO Path') as well as the path automatically fetched from system registry ('ESO Path from Registry'). IsReady should be true.


EU/US/PTS:
---------------
    Version:                                1.4.3
    IsEnabled:                              True
    GameClient Path:                        E:\Spel\The Elder Scrolls Online EU
    GameClient Directory exists:            True
    Documents Folder Path:                  C:\Users\[USERNAME]\Documents\Elder Scrolls Online\liveeu
    Documents Directory exists:             True
    Backup Folder Path:                     C:\Users\[USERNAME]\Documents\Elder Scrolls Online\liveeu\backup\v1_4_3
    Backup Directory exists:                True

Here you should make sure IsEnabled is True and that all paths seems correct. GameClient Path should be the path to where you have installed the game (that is the folder with the "_Launcher.exe" file located). Then make sure Documents Folder Path actually points towards your "MyDocuments" folder and that actually is the one TESO has saved files in (should be a SavedVariables and Addons subfolder as well as some additonal files and subfolders). The you should verify the Backup Folder Path (this folder should get created automatically, but you could create it manyally just to be sure). Finally all three XXX Directory Exists should report True.


w33zl's Merchant:
----------------------
    TraderEnabled:                          True
    TraderUserName:                         w33zl
    Path for EU client:                     C:\Users\[USERNAME]\Documents\Elder Scrolls Online\liveeu\AddOns\wMerchant
    Directory exits for EU client:          True
    Path for US client:                     C:\Users\[USERNAME]\Documents\Elder Scrolls Online\live\AddOns\wMerchant
    Directory exits for US client:          False
    Path for PTS client:                    C:\Users\[USERNAME]\Documents\Elder Scrolls Online\pts\AddOns\wMerchant
    Directory exits for PTS client:         False

TraderEnabled should (always) be true. Then TraderUserName must be non-empty (and should be your actual username). Finally you want to make sure that the path to wMerchant in the addons folder for your current game is correct and that Troubleshooter reports the directory exists (True).


ESO Safe general information:
-------------------------------------
    Expected user.config path:              C:\Users\[USERNAME]\AppData\Local\Xilent\ESOSafe.exe_Url_xielhyjtmn4x2gjn0qtojer0uigcanex\1.3.5372.37164\user.config
    Expected logfile path:                  C:\Users\[USERNAME]\AppData\Roaming\Xilent\ESOSafe\ESOSafe.log

You will also get the path's to the user.config file (where you actual settings are stored) as well as the logfile path for ESO Safe.